package com.ynxbd.push.controller;


import com.ynxbd.push.config.IniConfig;
import com.ynxbd.push.entity.tencent.SendMessageTemplate;
import com.ynxbd.push.helper.DesEncryptHelper;
import com.ynxbd.push.helper.MessageApiHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import weixin.popular.bean.message.MessageSendResult;

import java.io.IOException;


/**
 * @author absorber
 */
@Slf4j
@Controller
public class MiddlePlatformController {


    @GetMapping(value = "DaoYiXun")
    @ResponseBody
    public MessageSendResult daoYiXun(String openId, String deptName, String deptCode, String patientName, String content) throws IOException {
        String templateId = IniConfig.getInstance("daoYiXunTemplateId");
        openId = DesEncryptHelper.deCode(openId);
        log.info("openid={}, templateId={}", openId, templateId);

        String daoYiXunAppId = IniConfig.getInstance("daoYiXunAppId");
        String daoYiXunSecret = IniConfig.getInstance("daoYiXunSecret");
        String daoYiXunHospitalId = IniConfig.getInstance("daoYiXunHospitalId");
        SendMessageTemplate sendMessageTemplate = SendMessageTemplate.builder()
                .appId(daoYiXunAppId)
                .template_id(templateId)
                .keyword1(patientName)
                .keyword2(content)
                .keyword3(deptName)
                .first("点击进入导航")
                .openId(openId)
                .url(new StringBuilder().append("https://map.ipsmap.com?id=").append(daoYiXunHospitalId)
                        .append("&poi=0324&appKey=").append(daoYiXunSecret).toString())
                .pagePath(new StringBuilder().append("pages/index?id=").append(daoYiXunHospitalId)
                        .append("&poi=").append(deptCode).append("&appKey=").append(daoYiXunSecret).toString())
                .build();

        return MessageApiHelper.templateMessageSend(sendMessageTemplate);
    }
}
