package com.ynxbd.push.entity.xbd.wx;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @Author wsq
 * @Date 2020/11/27 10:02
 * @Copyright @ 2020 云南新八达科技有限公司 All rights reserved.
 */
@Setter
@Getter
@ToString(callSuper = true)
@NoArgsConstructor
public class Register extends Order {
    private Long id;
    // 患者身份证
    private String idCardNo;
    // 电话号码
    private String tel;

    //患者姓名
    private String name;

    private String deptCode;
    private String subDeptCode;
    private String deptName;
    private String doctCode;
    private String doctName;
    private String address;

    private String payDate;
    private String payTime;
    private String payDeviceId;

    private BigDecimal regFee;
    private BigDecimal clinicFee;
    private String clinicCode;
    private String clinicName;

    private String refundDate;
    // 时段id
    private String tid;
    // 时段名
    private String tName;
    // 挂号类型(1：预约挂号，2：现场挂号，3：分时段预约挂号，4：分时段现场挂号)
    private String regType;
    // 挂号日期
    private String regDate;
    // 号别名
    private String regName;
    // 号别编码
    private String regCode;
    // 分时段----------------------
    // 序号
    private String queueNum;
    // 号源id
    private String sourceId;
    private String begTime;
    private String endTime;
    // 【今日挂号】是否就诊[0:未就诊,1:已就诊,-1:退号]
    private Integer isTreat;
    // 【预约挂号】是否取号[0:未取号,1:已取号,-1:取消预约]
    private Integer isTake;
    // 非分时段挂号------------------------
    private String isCheckIn;
    // 总号源数
    private Integer sourceCount;
    // 剩余号源数
    private Integer remainCount;
    // 0-没有号源不允许挂号,1-有号源可以挂号
    private Integer allowReg;
    // 是否被占用
    private Integer isUsed;
    // 院区
    private String hospitalArea;
    // 挂号订单来源
    private String orderFromOwner;
    // 判断是否为分时段挂号
    private Boolean isSplitTime;

}
