package com.ynxbd.push.helper;

import java.util.Random;
import java.util.UUID;

/**
 * 随机码的生成
 *
 * @author 李进才
 */
public class CodeHelper {
    private CodeHelper(){ }
    /**
     * 生成数字验证码
     *
     * @param num 生成验证码的长度
     * @return 验证码
     */
    public static String generateRandomDigits(int num) {
        int m = (int) Math.pow(10, num - 1.0);
        return String.valueOf(m + new Random().nextInt(9 * m));
    }

    /**
     * 生成随机token
     *
     * @return token
     */
    public static String getToken() {
        return UUID.randomUUID().toString().replace("-", "");
    }

}
